
Eina_Bool _efl_ui_text_factory_images_matches_add(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd, const char *name, const char *path, const char *key);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_text_factory_images_matches_add, Eina_Bool, 0, EFL_FUNC_CALL(name, path, key), const char *name, const char *path, const char *key);

Eina_Bool _efl_ui_text_factory_images_matches_del(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd, const char *key);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_text_factory_images_matches_del, Eina_Bool, 0, EFL_FUNC_CALL(key), const char *key);

Eina_Bool _efl_ui_text_factory_images_matches_mmap_add(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd, const char *name, const Eina_File *file, const char *key);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_text_factory_images_matches_mmap_add, Eina_Bool, 0, EFL_FUNC_CALL(name, file, key), const char *name, const Eina_File *file, const char *key);

Eina_Bool _efl_ui_text_factory_images_matches_mmap_del(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd, const char *key);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_text_factory_images_matches_mmap_del, Eina_Bool, 0, EFL_FUNC_CALL(key), const char *key);

Efl_Object *_efl_ui_text_factory_images_efl_object_constructor(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd);


void _efl_ui_text_factory_images_efl_object_destructor(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd);


Efl_Canvas_Object *_efl_ui_text_factory_images_efl_canvas_textblock_factory_create(Eo *obj, Efl_Ui_Text_Factory_Images_Data *pd, Efl_Canvas_Object *object, const char *key);


static Eina_Bool
_efl_ui_text_factory_images_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_TEXT_FACTORY_IMAGES_EXTRA_OPS
#define EFL_UI_TEXT_FACTORY_IMAGES_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_text_factory_images_matches_add, _efl_ui_text_factory_images_matches_add),
      EFL_OBJECT_OP_FUNC(efl_ui_text_factory_images_matches_del, _efl_ui_text_factory_images_matches_del),
      EFL_OBJECT_OP_FUNC(efl_ui_text_factory_images_matches_mmap_add, _efl_ui_text_factory_images_matches_mmap_add),
      EFL_OBJECT_OP_FUNC(efl_ui_text_factory_images_matches_mmap_del, _efl_ui_text_factory_images_matches_mmap_del),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_text_factory_images_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_text_factory_images_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_canvas_textblock_factory_create, _efl_ui_text_factory_images_efl_canvas_textblock_factory_create),
      EFL_UI_TEXT_FACTORY_IMAGES_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_text_factory_images_class_desc = {
   EO_VERSION,
   "Efl.Ui.Text_Factory.Images",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Text_Factory_Images_Data),
   _efl_ui_text_factory_images_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_text_factory_images_class_get, &_efl_ui_text_factory_images_class_desc, EFL_OBJECT_CLASS, EFL_CANVAS_TEXTBLOCK_FACTORY_INTERFACE, NULL);
